org.apache.ignite.spi.collision.priorityqueue

## Interface PriorityQueueCollisionSpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

All Known Implementing Classes:
  PriorityQueueCollisionSpi

    @MXBeanDescription(value="MBean provides access to the priority queue collision SPI.")
    public interface PriorityQueueCollisionSpiMBean
    extends IgniteSpiManagementMBean

Management bean that provides access to the priority queue collision SPI configuration.

### Method Summary

Methods
`int` `getCurrentActiveJobsNumber()` Gets current number of jobs that are active, i.e.
`int` `getCurrentHeldJobsNumber()` Gets number of currently `'held'` jobs.
`int` `getCurrentRunningJobsNumber()`
`int` `getCurrentWaitJobsNumber()` Gets current number of jobs that wait for the execution.
`int` `getDefaultPriority()` Gets default priority to use if a job does not have priority attribute set.
`String` `getJobPriorityAttributeKey()` Gets key name of job priority attribute.
`int` `getParallelJobsNumber()` Gets number of jobs that can be executed in parallel.
`String` `getPriorityAttributeKey()` Gets key name of task priority attribute.
`int` `getStarvationIncrement()` Gets value to increment job priority by every time a lower priority job gets behind a higher priority job.
`int` `getWaitingJobsNumber()` Maximum number of jobs that are allowed to wait in waiting queue.
`boolean` `isStarvationPreventionEnabled()` Gets flag indicating whether job starvation prevention is enabled.
`void` `setDefaultPriority(int priority)` Sets default priority to use if a job does not have priority attribute set.
`void` `setParallelJobsNumber(int num)` Sets number of jobs that can be executed in parallel.
`void` `setStarvationIncrement(int increment)` Sets value to increment job priority by every time a lower priority job gets behind a higher priority job.
`void` `setStarvationPreventionEnabled(boolean preventStarvation)` Sets flag indicating whether job starvation prevention is enabled.
`void` `setWaitingJobsNumber(int num)` Maximum number of jobs that are allowed to wait in waiting queue.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### getCurrentWaitJobsNumber

    @MXBeanDescription(value="Number of jobs that wait for execution.")
    int getCurrentWaitJobsNumber()

Gets current number of jobs that wait for the execution.

Returns:
  Number of jobs that wait for execution.

#### getCurrentActiveJobsNumber

    @MXBeanDescription(value="Number of active jobs.")
    int getCurrentActiveJobsNumber()

Gets current number of jobs that are active, i.e. `'running + held'` jobs.

Returns:
  Number of active jobs.

#### getCurrentRunningJobsNumber

    @MXBeanDescription(value="Number of running jobs.")
    int getCurrentRunningJobsNumber()

#### getCurrentHeldJobsNumber

    @MXBeanDescription(value="Number of held jobs.")
    int getCurrentHeldJobsNumber()

Gets number of currently `'held'` jobs.

Returns:
  Number of currently `'held'` jobs.

#### getParallelJobsNumber

    @MXBeanDescription(value="Number of jobs that can be executed in parallel.")
    int getParallelJobsNumber()

Gets number of jobs that can be executed in parallel.

Returns:
  Number of jobs that can be executed in parallel.

#### setParallelJobsNumber

    @MXBeanDescription(value="Number of jobs that can be executed in parallel.")
    void setParallelJobsNumber(int num)

Sets number of jobs that can be executed in parallel.

Parameters:
  `num` - Parallel jobs number.

#### getWaitingJobsNumber

    @MXBeanDescription(value="Maximum allowed number of waiting jobs.")
    int getWaitingJobsNumber()

Maximum number of jobs that are allowed to wait in waiting queue. If number of waiting jobs ever exceeds this number, excessive jobs will be rejected.

Returns:
  Maximum allowed number of waiting jobs.

#### setWaitingJobsNumber

    @MXBeanDescription(value="Maximum allowed number of waiting jobs.")
    void setWaitingJobsNumber(int num)

Maximum number of jobs that are allowed to wait in waiting queue. If number of waiting jobs ever exceeds this number, excessive jobs will be rejected.

Parameters:
  `num` - Maximium jobs number.

#### getPriorityAttributeKey

    @MXBeanDescription(value="Key name of task priority attribute.")
    String getPriorityAttributeKey()

Gets key name of task priority attribute.

Returns:
  Key name of task priority attribute.

#### getJobPriorityAttributeKey

    @MXBeanDescription(value="Key name of job priority attribute.")
    String getJobPriorityAttributeKey()

Gets key name of job priority attribute.

Returns:
  Key name of job priority attribute.

#### getDefaultPriority

    @MXBeanDescription(value="Default priority to use if a task does not have priority attribute set.")
    int getDefaultPriority()

Gets default priority to use if a job does not have priority attribute set.

Returns:
  Default priority to use if a task does not have priority attribute set.

#### setDefaultPriority

    @MXBeanDescription(value="Default priority to use if a task does not have priority attribute set.")
    void setDefaultPriority(int priority)

Sets default priority to use if a job does not have priority attribute set.

Parameters:
  `priority` - default priority.

#### getStarvationIncrement

    @MXBeanDescription(value="Value to increment job priority by every time a lower priority job gets behind a higher priority job.")
    int getStarvationIncrement()

Gets value to increment job priority by every time a lower priority job gets behind a higher priority job.

Returns:
  Value to increment job priority by every time a lower priority job gets behind a higher priority job.

#### setStarvationIncrement

    @MXBeanDescription(value="Value to increment job priority by every time a lower priority job gets behind a higher priority job.")
    void setStarvationIncrement(int increment)

Sets value to increment job priority by every time a lower priority job gets behind a higher priority job.

Parameters:
  `increment` - Increment value.

#### isStarvationPreventionEnabled

    @MXBeanDescription(value="Flag indicating whether job starvation prevention is enabled.")
    boolean isStarvationPreventionEnabled()

Gets flag indicating whether job starvation prevention is enabled.

Returns:
  Flag indicating whether job starvation prevention is enabled.

#### setStarvationPreventionEnabled

    @MXBeanDescription(value="Flag indicating whether job starvation prevention is enabled.")
    void setStarvationPreventionEnabled(boolean preventStarvation)

Sets flag indicating whether job starvation prevention is enabled.

Parameters:
  `preventStarvation` - Flag indicating whether job starvation prevention is enabled.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017